<ion-card>
  <ion-card-header>
    <ion-card-title >
      Login
    </ion-card-title>
  </ion-card-header>

  <ion-card-content>

    <form [formGroup]="formU" >

      <div padding>

        <ion-item>
          <ion-input name="email" type="email" id="email" placeholder="Email.." email formControlName="email">
          </ion-input>
        </ion-item>

        <ion-item *ngIf="formU.controls['email'].invalid && formU.controls['email'].dirty">
          <div class="alert" >The field is required</div>
        </ion-item>

        <ion-item>
          <ion-input name="password" type="password" id="password" placeholder="Password.." formControlName="password">
          </ion-input>
        </ion-item>

        <ion-item *ngIf="formU.controls['password'].invalid && formU.controls['password'].dirty">
          <div class="alert">The field is required</div>
        </ion-item>

      </div>
    </form>

    <div style="text-align:center;" padding>
      <ion-button class="btn" size="large" type="submit" [disabled]="formU.invalid" (click)="login()">Login</ion-button>
      <ion-button class="btn" size="large" type="submit" routerLinkActive="active" routerLink="/new-user">New User</ion-button>
    </div>
  </ion-card-content>
</ion-card>
